.layer_pattern_table {display:none; position:absolute; bottom:0; width:900px; height:441px; background-color:#1c1a23; z-index:300;}
.layer_pattern_table:before{position:absolute; content:''; width:100%; height:5px; background:linear-gradient(90deg, #443482 0%, #b4a9df 47.63%, #443482 98.62%);}

.layer_pattern_table .analysis_tabs ul {padding:5px 20px 0 20px; height:70px; background-color:#17122b; box-sizing:border-box;}
.layer_pattern_table .analysis_tabs ul:after {display:block; content:''; clear:both;}
.layer_pattern_table .analysis_tabs li {float:left; margin-right:30px;}
.layer_pattern_table .analysis_tabs li a {display:block; height:65px; line-height:65px; font-size:17px; color:#b6afd3;}
.layer_pattern_table .analysis_tabs li a.selected {color:#eff402;}
.layer_pattern_table .analysis_tabs .btn_close {position:absolute; top:5px; right:0; width:65px; height:65px; text-indent:-9999px; overflow:hidden;}
.layer_pattern_table .analysis_tabs .btn_close:before {float:left; margin:22px 0 0 21px; content:''; width:23px; height:21px; background:url('/rpwball-game-view/images/powerball/ic_close_w.png') no-repeat center center;}

.pattern_header {padding:12px; border-top:1px solid #3d3463; background-color:#17122b;}

.pattern_count {padding:0 15px;}
.pattern_count:after {display:block; content:''; clear:both;}
.pattern_count li {float:left; margin-right:15px;}
.pattern_count li span {float:left; height:30px; line-height:30px; color:#fff;}
.pattern_count li span strong {font-weight:500;}
.pattern_count li span.ic {margin:0 10px 0 0; width:30px; text-align:center; border-radius:100%;}
.pattern_count li.line4 .ic,
.pattern_count li.right .ic,
.pattern_count li.even .ic,
.pattern_count li.over .ic {background-color:#e74c3c;}
.pattern_count li.line3 .ic,
.pattern_count li.left .ic,
.pattern_count li.odd .ic,
.pattern_count li.under .ic {background-color:#3498db;}
.pattern_count li.pongdang .ic {background-color:#af28c7;}
.pattern_count li.break .ic {background-color:#898D92;}

.pattern_wrap {display:flex; flex-direction:column; flex:1; overflow:hidden;}
.pattern_wrap .patternScroll {overflow-x:hidden; overflow-y:hidden; position:relative;}
.pattern_wrap .patternBox {position:relative; white-space:nowrap; font-size:0; border:1px solid #000; width:fit-content; background:url('/rpwball-game-view/images/powerball/bg_cell.svg') repeat;}
.pattern_wrap .patternBox dl {display:inline-block; vertical-align:top;}
.pattern_wrap .patternBox dl dd {display:flex; align-items:center; justify-content:center; box-sizing:border-box; font-size:0;}
.pattern_wrap .patternBox.main {height:155px; background-size:26px 26px;}

.pattern_wrap .patternBox.main dl dd {width:26px; height:26px; font-size:10px; font-weight:600; border-radius:18px; position:relative;}
.pattern_wrap .patternBox.main dl dd.R {color:#ddd; background-color:#e74c3c; border:1px solid #9e0909;}
.pattern_wrap .patternBox.main dl dd.B {color:#ddd; background-color:#3498db;  border:1px solid #074c8b;}
.pattern_wrap .patternBox.pattern6 {height:156px; background-size:26px 26px;}
.pattern_wrap .patternBox.pattern6 dl dd {width:26px; height:26px; border-radius:26px; color:#FFF; font-size:10px;}
.pattern_wrap .patternBox.pattern6 dl dd.R {border:1px solid #e74c3c; color:#FF885B;}
.pattern_wrap .patternBox.pattern6 dl dd.B {border:1px solid #3498db; color:#4FCAFF;}
.pattern_wrap .sub_patterns {display:flex; flex:1; overflow:hidden; justify-content:space-between;}

.pattern_wrap .china_patterns {width:100%; display:flex; flex-direction:column; flex:1; overflow:hidden;}
.pattern_wrap .china_patterns > div {flex:1;}
.pattern_wrap .china_patterns .patternBox {background-size:16.3px 16.3px; min-width:424px;}
.pattern_wrap .china_patterns .patternBox dl dd {width:8.15px; height:8.15px;}

.pattern_wrap .patternBox.china1 dl dd:after,
.pattern_wrap .patternBox.china2 dl dd:after {content:''; width:7px; height:7px; border-radius:7px; box-sizing:border-box;}
.pattern_wrap .patternBox.china1 dl dd.R:after {border:1px solid #e74c3c;}
.pattern_wrap .patternBox.china1 dl dd.B:after {border:1px solid #3498db;}
.pattern_wrap .patternBox.china2 dl dd.R:after {background-color:#e74c3c;}
.pattern_wrap .patternBox.china2 dl dd.B:after {background-color:#3498db;}
.pattern_wrap .patternBox.china3 {flex:1;}

.pattern_wrap .patternBox.china3 dl dd {height:7.2px; margin-bottom:1px;}
.pattern_wrap .patternBox.china3 dl dd:after {content:''; width:2px; height:8px; transform:rotate(45deg); border-radius:2px;}
.pattern_wrap .patternBox.china3 dl dd.R:after {background-color:#e74c3c;}
.pattern_wrap .patternBox.china3 dl dd.B:after {background-color:#3498db;}


.pattern_wrap .bp_box {min-width:80px; display:flex; flex-direction:column; padding:1px; cursor:pointer;}
.pattern_wrap .bp_box > li {display:flex; align-items:center; flex:1; background-color:#202020;}
.pattern_wrap .bp_box > li.active {background-color:#eaee1c;}
.pattern_wrap .bp_box > li:nth-last-of-type(1) {border-top:1px solid #000;}
.pattern_wrap .bp_box>li>div {text-align:center; height:100%; width:22px; display:flex; align-items:center; justify-content:center; color:#fff; font-weight:700; font-size:13px; box-sizing:border-box}
.pattern_wrap .bp_box>li.R>div {background-color:#e74c3c; border:1px solid #bf0a0a}
.pattern_wrap .bp_box>li.B>div {background-color:#3498db; border:1px solid #0964b8}
.pattern_wrap .bp_box>li>span {margin-left:7px}
.pattern_wrap .bp_box .border,.pattern_wrap .bp_box .solid {width:10px; height:10px; border-radius:10px; box-sizing:border-box}
.pattern_wrap .bp_box .line {content:''; width:2px; height:12px; transform:rotate(45deg); margin-left:11px}
.pattern_wrap .bp_box>li .border.R {border:2px solid #e74c3c}
.pattern_wrap .bp_box>li .border.B {border:2px solid #3498db}
.pattern_wrap .bp_box>li .line.R,.pattern_wrap .bp_box>li .solid.R {background-color:#e74c3c}
.pattern_wrap .bp_box>li .line.B,.pattern_wrap .bp_box>li .solid.B {background-color:#3498db}
#patternBreak .lottie_ani {position:absolute; width:100px; height:100px}
.patternBox dl dd.preview {animation:.5s infinite blink-effect}

@keyframes blink-effect {50%{opacity:10%}}

.scrollbar-map > .scroll-element_outer {height:100%; position:absolute; right:0; top:0; width:100%;}
.scrollbar-map > .scroll-element_outer .scroll-element_size,
.scrollbar-map > .scroll-element_outer .scroll-element_track {height:100%; position:absolute; right:0; top:0; width:100%;}
.scrollbar-map > .scroll-element_outer .scroll-bar {position:absolute; left:0; bottom:0; width:138px; height:3px; background-color:rgba(239, 244, 2, 1);}
.scrollbar-map > .scroll-element_outer.scroll-scrollx_visible,
.scrollbar-map > .scroll-element_outer.scroll-scrolly_visible {display:block;}